MyGUI 3.2.2

Public Member Functions
MyGUI::UString::invalid_data Class Reference

This exception is used when invalid data streams are encountered. More...

`#include <MyGUI_UString.h>`

Inheritance diagram for MyGUI::UString::invalid_data:
[legend]

## Public Member Functions
| invalid_data (const std::string &_Message)
| constructor takes a string message that can be later retrieved by the what() function More...

## Detailed Description

This exception is used when invalid data streams are encountered.

Definition at line 204 of file MyGUI_UString.h.

## Constructor & Destructor Documentation

## ◆ invalid_data()

MyGUI::UString::invalid_data::invalid_data | ( | const std::string & | _Message | ) |
| inline explicit

constructor takes a string message that can be later retrieved by the what() function

Definition at line 207 of file MyGUI_UString.h.

The documentation for this class was generated from the following file:

- MyGUI_UString.h